Bug 183985 - [PATCH] science/py-pydap: update to 3.1.1
Summary: [PATCH] science/py-pydap: update to 3.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-15 09:50 UTC by Johannes Meixner
Modified: 2013-11-29 11:50 UTC (History)
1 user (show)

See Also:


Attachments
py27-pydap-3.1.1.patch (18.17 KB, patch)
2013-11-15 09:50 UTC, Johannes Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2013-11-15 09:50:00 UTC
- Update to 3.1.1
- Add DOCS option
- Add missing BUILD and RUN_DEPENDS


Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-11-15 09:50:10 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-11-15 09:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 William Grzybowski freebsd_committer 2013-11-29 11:38:16 UTC
Responsible Changed
From-To: freebsd-python->wg

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-11-29 11:40:32 UTC
Author: wg
Date: Fri Nov 29 11:40:24 2013
New Revision: 335164
URL: http://svnweb.freebsd.org/changeset/ports/335164

Log:
  science/py-pydap: update to 3.1.1
  
  PR:		ports/183985
  Submitted by:	maintainer

Modified:
  head/science/py-pydap/Makefile
  head/science/py-pydap/distinfo
  head/science/py-pydap/files/patch-pavement.py

Modified: head/science/py-pydap/Makefile
==============================================================================
--- head/science/py-pydap/Makefile	Fri Nov 29 11:38:05 2013	(r335163)
+++ head/science/py-pydap/Makefile	Fri Nov 29 11:40:24 2013	(r335164)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pydap
-PORTVERSION=	3.1
+PORTVERSION=	3.1.1
 CATEGORIES=	science python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -13,12 +13,38 @@ COMMENT=	Implementation of the Opendap/D
 
 LICENSE=	MIT
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}distribute>=0:${PORTSDIR}/devel/py-distribute \
-		paver:${PORTSDIR}/devel/py-paver
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}setuptools>=0:${PORTSDIR}/devel/py-setuptools \
+		paver:${PORTSDIR}/devel/py-paver \
+		${PYNUMPY}
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}httplib2>0:${PORTSDIR}/www/py-httplib2 \
+		${PYTHON_PKGNAMEPREFIX}Genshi>0:${PORTSDIR}/textproc/py-genshi \
+		${PYTHON_PKGNAMEPREFIX}Paste>0:${PORTSDIR}/www/py-paste \
+		${PYTHON_PKGNAMEPREFIX}PasteDeploy>0:${PORTSDIR}/www/py-pastedeploy \
+		${PYTHON_PKGNAMEPREFIX}PasteScript>0:${PORTSDIR}/www/py-pastescript \
+		${PYNUMPY}
+
+OPTIONS_DEFINE=	DOCS
 
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_AUTOPLIST=	yes
 PYDISTUTILS_PKGNAME=	Pydap
+PYDISTUTILS_AUTOPLIST=	yes
+PYDISTUTILS_NOEGGINFO=	yes
+
+DOCSDIR=	${PREFIX}/share/doc/py-${PORTNAME}
+PORTDOCS=	* .buildinfo
+
+.include <bsd.port.options.mk>
+.if ${PORT_OPTIONS:MDOCS}
+BUILD_DEPENDS+=	sphinx-build:${PORTSDIR}/textproc/py-sphinx \
+	${PYTHON_PKGNAMEPREFIX}coards>0:${PORTSDIR}/science/py-coards \
+	${PYTHON_PKGNAMEPREFIX}pygments>0:${PORTSDIR}/textproc/py-pygments
+
+PYDISTUTILS_BUILD_TARGET+=	build_sphinx
+
+post-install:
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	cd ${WRKSRC}/build/sphinx/html && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR}
+.endif
 
 .include <bsd.port.mk>

Modified: head/science/py-pydap/distinfo
==============================================================================
--- head/science/py-pydap/distinfo	Fri Nov 29 11:38:05 2013	(r335163)
+++ head/science/py-pydap/distinfo	Fri Nov 29 11:40:24 2013	(r335164)
@@ -1,2 +1,2 @@
-SHA256 (Pydap-3.1.tar.gz) = 0e37ebb7755134689d34c7221a140b0b7fb8a76b213e3975e85fec3fe0c2d5f1
-SIZE (Pydap-3.1.tar.gz) = 3098212
+SHA256 (Pydap-3.1.1.tar.gz) = 31af591d244f3a9d379a0f0217524382d473fd24d2ef1173272f24f3a0df3511
+SIZE (Pydap-3.1.1.tar.gz) = 3090985

Modified: head/science/py-pydap/files/patch-pavement.py
==============================================================================
--- head/science/py-pydap/files/patch-pavement.py	Fri Nov 29 11:38:05 2013	(r335163)
+++ head/science/py-pydap/files/patch-pavement.py	Fri Nov 29 11:40:24 2013	(r335164)
@@ -1,11 +1,11 @@
---- ./pavement.py.orig	2013-08-30 15:00:07.469952201 +0300
-+++ ./pavement.py	2013-08-30 15:00:24.309518177 +0300
+--- ./pavement.py.orig	2013-11-15 10:29:56.254992996 +0200
++++ ./pavement.py	2013-11-15 10:31:41.824987045 +0200
 @@ -9,7 +9,7 @@
  try:
      from pydap.lib import __version__
  except ImportError:
 -    __version__ = ('unknown',)
-+    __version__ = ('3.1',)
++    __version__ = (3,1,1)
  
  options = environment.options
  setup(**setup_meta)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-11-29 11:40:34 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!